
Redmine - Defect #7389

Error 500 when showing user page with user custom fields

2011-01-20 13:52 - Siegfried Vogel

Status: Closed Start date: 2011-01-20

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.1.0

Description

When I click on an URL like <redmine>/users/xx

an error 500 is produced in Redmine V.1.1.0.

Must have to do with user custom fields, as the log shows:

ActionView::TemplateError (undefined method `each' for nil:NilClass) on line #12 of app/views/user

s/show.rhtml:

9:     <% unless @user.pref.hide_mail %>

10:         <li><%=l(:field_mail)%>: <%= mail_to(h(@user.mail), nil, :encode => 'javascript') %></

li>

11:     <% end %>

12:     <% for custom_value in @custom_values %>

13:     <% if !custom_value.value.blank? %>

14:     <li><%=h custom_value.custom_field.name%>: <%=h show_value(custom_value) %></li>

15:     <% end %>

History

#1 - 2011-01-20 21:48 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

This is not the content of app/views/users/show.rhtml in Redmine 1.1.0.

You must have done something wrong during the upgrade.

#2 - 2011-01-20 21:58 - Jean-Philippe Lang

Or you have a plugin that overrides this view and is not compatible with 1.1.0

#3 - 2011-01-21 08:34 - Siegfried Vogel

You are right, this was a leftover from V.1.0.4. After a fresh installation the error disappeared.

Thanks a lot for your time!

#4 - 2011-09-15 15:06 - nicolas diogo

- Status changed from Closed to Reopened

the same problem persists on debian package

redmine_1.0.1-2_all.deb

#5 - 2011-09-15 15:20 - Etienne Massip

- Status changed from Reopened to Closed

Either you have the problem described here and the code part included in the description is also present on your setup, in which case this is not a

Redmine bug since the code is not present in latest versions

or you have the same symptom but not the same piece of code, in which case this is not the same issue.
